Bug 36634 - IpcChannelTest.Bug609381 hangs on Linux
Summary: IpcChannelTest.Bug609381 hangs on Linux
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: Mono.POSIX (show other bugs)
Version: master
Hardware: Other Linux
: --- normal
Target Milestone: Untriaged
Assignee: Ludovic Henry
URL:
Depends on:
Blocks:
 
Reported: 2015-12-04 20:42 UTC by Alexander Köplinger [MSFT]
Modified: 2017-07-20 20:12 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Alexander Köplinger [MSFT] 2015-12-04 20:42:17 UTC
https://github.com/mono/mono/blob/6ca09a2af0273b0a3de7afc70ddcf2adc0363b78/mcs/class/System.Runtime.Remoting/Test/IpcChannelTest.cs#L31

This test hangs on Linux and causes Jenkins to randomly fail.
We disable it until we figure out what's going on.
Comment 1 Ludovic Henry 2017-02-08 20:00:53 UTC
Do you think we should reenable this test? Maybe the underlying cause has been fixed.
Comment 2 Alexander Köplinger [MSFT] 2017-02-08 20:05:18 UTC
We can give it a try, but we should do a few runs of the test in a PR.
Comment 3 Ludovic Henry 2017-07-20 20:12:36 UTC
https://github.com/mono/mono/pull/5245 reenable the test

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.